List inter-store purchase availability for a product
List other stores' incoming purchase-order lines for a product that a buyer store can reserve against (inter-store trade). Usable both from a sales order (POS) and from purchasing. Only stores represented by a supplier at this tenant are included, and only lines with available quantity. Optionally restrict to specific suppliers (purchasing mode, where a supplier is already chosen) and to lines with at least a given quantity available.
Required permissions: SALES_ORDER,PURCHASE_ORDER
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Search other stores' incoming purchase-order lines a buyer store can reserve against (inter-store trade). Usable from a sales order (POS) and from purchasing.
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+If set, only lines with at least this quantity available are returned. In hundredths (100 = 1 unit).
If set, restrict to seller stores represented by these suppliers (purchasing mode, where a supplier is already chosen).
Example response
POST /v2/tenants/{tenantUid}/inter-store-purchases HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76
{
"productUid": "text",
"storeUid": "text",
"quantity": 1,
"supplierUids": [
"text"
]
}Example response
{
"items": [
{
"sellerStoreUid": "text",
"sellerStoreName": "text",
"sellerPurchaseOrderUid": "text",
"sellerPurchaseOrderNumber": "text",
"sellerPurchaseOrderItemUid": "text",
"status": "NEW",
"productUid": "text",
"productName": "text",
"sku": "text",
"quantityOrdered": 1,
"quantityReceived": 1,
"quantityReserved": 1,
"quantityAvailable": 1,
"unitPrice": 1,
"note": "text",
"expectedDelivery": "2026-01-01T00:00:00.000Z",
"receivements": [
{
"status": "RECEIVED",
"itemStatus": "PENDING",
"expectedArrival": "2026-01-01T00:00:00.000Z",
"expectedDispatch": "2026-01-01T00:00:00.000Z",
"receivedAt": "2026-01-01T00:00:00.000Z",
"supplierOrderReference": "text",
"quantity": 1
}
]
}
]
}Last updated
Was this helpful?

